phpmyadmin error

Ask questions regarding Gentoox, Gentoo and Linux in general in these forums and we'll do our best to help you!
Post Reply
padawan
Novice
Posts: 22
Joined: Sun Jan 25, 2004 10:36 pm

phpmyadmin error

Post by padawan » Mon Feb 09, 2004 8:34 pm

hello :)

so i set up the apache server with the php mod and that is also running nicely (i think at least :P ).

Then a emerge mysql gave me mysql on the xbox :D (took like 4 hours to build and stuff). I think I haven't set up all the settings for that yet, but i can login to mysql as root and i see the mysql db, so i guess that's ok, right ?

then i emerged phpmyadmin. but here i got an error when i try to call the mysqladmin main page:
Fatal error: Call to undefined function: mysql_get_client_info() in /var/www/localhost/htdocs/phpmyadmin/libraries/defines.lib.php on line 47
so i used google and i saw some sites stating that i needed a version of php4 higher than 4.0.5 to use that function also looked here.

but i also saw some a user on gentoo forums posting, that he changed flags and rerun the whole emerge again, afterwards all was running fine. (post here).

so first i wanted to find out what version of php i have. but that phpinho.php page that comes with phpmyadmin also wouldn't run, with the same error message :-/ (although i'm sure there are other scripts that do the same, but i only tried that).

do you know how i could fix the prob, so i can use phpmyadmin ?

would be really nice if you could help me, preferabley without any new merge of anything (if possible and practical) :wink:

greetz

a padawan

User avatar
nobspangle
Gentoox Guru!
Posts: 1681
Joined: Sun Sep 28, 2003 11:59 am
Location: Manchester, UK

Post by nobspangle » Mon Feb 09, 2004 10:04 pm

You can get all your php version info by making a page with the following code

Code: Select all

<html>
<body>
<?php
phpinfo();
?>
</body>
</html>
call the page something like phpinfo.php and put it in your web directory (/var/www/localhost/htdocs by default) then point your browser to http://localhost/phpinfo.php

Also after emerging phpmyadmin did you run the ebuild with the config flag like it tells you to at the end of the install.
If you keep an open mind, will your brain fall out?

Max Albert
Newbie
Posts: 7
Joined: Fri Feb 06, 2004 12:33 am
Contact:

Post by Max Albert » Wed Feb 11, 2004 8:48 am

I'm new to the whole gentoo(x) and emerge/magic scene. I'm used to doing all the compiling myself. (I love that I can magic overnight, and have everythign automated for me)

I've never used mod_php. I always compiled php seperate from apache. And php needs to be compiled after mysql, so that php can grab the mysqlclient libraries (as php is no longer allowed to include them in their distro).

I'm not sure if it makes a difference with mod_php, or with emerge/magic. But that's my experience.

User avatar
nobspangle
Gentoox Guru!
Posts: 1681
Joined: Sun Sep 28, 2003 11:59 am
Location: Manchester, UK

Post by nobspangle » Wed Feb 11, 2004 11:46 am

on gentoo you can compile in any order portage will sort it out for you.
If you keep an open mind, will your brain fall out?

padawan
Novice
Posts: 22
Joined: Sun Jan 25, 2004 10:36 pm

Post by padawan » Wed Feb 11, 2004 5:39 pm

hi, thanx for your help nobspangle, i did

Code: Select all

ebuild /var/db/pkg/dev-db/phpmyadmin-2.5.5_p1/phpmyadmin-2.5.5_p1.ebuild config
and

Code: Select all

 /usr/bin/mysqladmin -u root -h localhost password 'password'
right after the mysql emerge like it told me.

Maybe it's some misconfiguration in the apache config ?
phpinfo() says it is PHP Version 4.3.4.

User avatar
nobspangle
Gentoox Guru!
Posts: 1681
Joined: Sun Sep 28, 2003 11:59 am
Location: Manchester, UK

Post by nobspangle » Wed Feb 11, 2004 6:30 pm

check that mysql is in your use flags in /etc/make.conf if not you will have to recompile php and probably mod_php and maybe apache.
If you keep an open mind, will your brain fall out?

padawan
Novice
Posts: 22
Joined: Sun Jan 25, 2004 10:36 pm

Post by padawan » Wed Feb 11, 2004 8:04 pm

it was not in the use flag, now i added mysql and apache2 to it and will emerge php again. i'll keep you updated, thanx again for your precious tips m8 ;)

padawan
Novice
Posts: 22
Joined: Sun Jan 25, 2004 10:36 pm

Post by padawan » Wed Feb 11, 2004 8:58 pm

kewl, it worked and i can now access phpmyadmin :D !

another thing learnt :P

Post Reply

Who is online

Users browsing this forum: No registered users and 4 guests